/*!\file EdgeDetectionx
 * \brief: x code for EdgeDetection module
 */

/*Header files: {{{*/
#include "./EdgeDetectionx.h"
#include "../../shared/shared.h"
#include "../../toolkits/toolkits.h"
/*}}}*/

void EdgeDetectionx(Contours* contours, bool* image, int M, int N){

	/*intermediary: */
	int i;

	_assert_(contours);

	/*output: */
	Contour<IssmPDouble>* contour=NULL;
	IssmPDouble* x=NULL;
	IssmPDouble* y=NULL;

	/*Create bogus contour: */
	x=xNewZeroInit<IssmPDouble>(10);
	y=xNewZeroInit<IssmPDouble>(10);
	for(i=0;i<10;i++){
		x[i]=(IssmPDouble)i;
		y[i]=(IssmPDouble)i;
	}
	contour= new Contour<IssmPDouble>(1,10,x,y,true);

	/*Add contour to our dataset of contours: */
	contours->AddObject(contour);

}
